Subject: bug#36916: 27.0.50; bug-reference: Make push button action customizable

From: Michael Heerdegen <[email-masked]>
Date: Sun, 04 Aug 2019 14:03:29 +0200

Michael Albinus <[email-masked]> writes:

> There is the minor mode `debbugs-browse-mode'. Enable it, that's it.

Hmm, ok.  But it's only a minor mode, so instead of having a global
setting, I have to add that minor mode to any place where it's needed.

So, why this does what I want, it's a bit disappointing: bug-reference
hardcodes browse-url, and browse-url can't be changed to handle new
types of urls specially, so the only thing we can do is to hijack
browse-url-browser-function buffer-locally.  Can't this even have side
effects?  What if the Magit revision buffer includes real links?  Oh -
no, I see, that works because the minor mode uses an :before-until
advice.  But it will break if something else binds or sets
browse-url-browser-function, right?

Michael.